AplasAplas API Reference

Replace a publication

PUT
/publication/{publicationId}

Authorization

BearerAuth
AuthorizationBearer <token>

API authentication via Authorization: Bearer <your-api-key>. Obtain your API key from Config → API in the Aplas web app.

In: header

Path Parameters

publicationId*string

The id of the publication to replace

Request Body

application/json

The replacement publication

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

curl -X PUT "https://api.au.aplas.com/api/v2/publication/id" \  -H "Content-Type: application/json" \  -d '{    "id": "id",    "name": "Publication A",    "description": "A description of my publication",    "interfaceType": "metamap",    "indexId": "id_map",    "settings": [      {        "id": "interactive",        "value": "false"      },      {        "id": "map-zoom-max",        "value": 40      },      {        "id": "theme",        "value": "custom"      },      {        "id": "canvas-color",        "value": "#ff5500"      }    ]  }'
Empty
{
  "code": 500,
  "message": "Internal server error"
}